Skip to navigation

Get EventSubscription by ID

Beta
Get a single EventSubscription by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

event_subscription_idstringRequired
ID of the EventSubscription.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
awsRegionstring or nullOptional
The AWS region of the eventbridge subscription.
createdAtstring or nullOptional
destinationAddressstring or nullOptional
The AWS ARN of the EventBridge event bus that Benchling will deliver events to.
destinationMetadatamap from strings to any or nullOptional

Semi-structured metadata used for routing events.

destinationTypeenum or nullOptional
Allowed values:
eventBusNamestring or nullOptional
The name of the event bus of the eventbridge subscription .
expiresAtstring or nullOptional
The time after which the event subscription expires and will be paused.
idstringOptional
modifiedAtstring or nullOptional
pausedboolean or nullOptional
Indicates whether the event subscription is paused. Paused event subscriptions will not emit events to the configured destination.

Errors

400
Event Subscription Get Request Bad Request Error
403
Event Subscription Get Request Forbidden Error
404
Event Subscription Get Request Not Found Error
429
Event Subscription Get Request Too Many Requests Error
500
Event Subscription Get Request Internal Server Error